* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}


html, body {
  height: 100%;
}

body{
    overflow-x: hidden; /* prevents horizontal scroll */
    font-family: Arial, sans-serif;
    background-image: url("images/hero.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    flex-direction: column;
    height: 100%;
    justify-content: space-between;
}

header{
    width: 100%;
    padding: 20px;
    display: flex;
    align-items: center;
}

.navbar {  
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: rgba(0,0,0,0.5);
}

.logo{
    padding: 0px;
    color: rgb(3, 100, 92);
    font-weight: bold;
    font-size: 25px;
    font-family: 'Times New Roman', Times, serif;
}

.nav-links {
    list-style: none;
    display: flex;
    gap: 40px;
    
}

.nav-links a {
    color: white;
    text-decoration: none;
    font-family: 'Times New Roman', Times, serif;
}

.about {
    width: 100%;    
    height: 100vh; 
    display: flex;    
    flex-direction: column;       
    justify-content: center;      
    align-items: center;
    text-align: center;
    color: #333;
    text-align: center;
}

.about h2 {
    font-size: 2.5rem;
    margin-bottom: 20px;
    color: #ffffff;
}

h2 span{
    color: rgb(4, 105, 96);
}

.about p {
    font-size: 1.1rem;
    line-height: 1.6;
    margin-bottom: 15px;
    color: white;
}

.footer {
    width: 100%;
    padding: 20px;
    background: #111;
    color: #eee;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;    
}

.footer a {
    color: rgb(3, 100, 92);
    text-decoration: none;
    transition: color 0.3s;
    font-weight: bold;
}

.footer a:hover {
    color: #fff;
}


/* Tablets (max-width: 992px) */
@media (max-width: 992px) {
    .navbar{
       display: flex;
       flex-direction: column;
       gap: 10px;      
      /* align-items: flex-start; */
    } 
    .nav-links {
    gap: 20px;   
    }

    .about h2 {
        font-size: 2rem;
    }

    .about p {
        font-size: 1rem;
    }
}

/* Mobile (max-width: 768px) */
@media (max-width: 768px) {
    .navbar{
       display: flex;
       flex-direction: column;
       gap: 10px;      
    } 
    .nav-links {
    gap: 20px;   
    }

    .about h2 {
        font-size: 1.8rem;
    }

    .about p {
        font-size: 1rem;
    }
}

/* Small mobile (max-width: 480px) */
@media (max-width: 480px) {
    .about h2 {
        font-size: 20px;
        text-align: left;
    }

    .about p {
        font-size: 15px;
        width: 60%;
        
    }

    .footer {
        font-size: 0.85rem;
        padding: 15px;
    }
}